Show / Hide Table of Contents

# Class OpenDialog

The Open Dialog provides an interactive dialog box for users to select files or directories.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog
FileDialog
OpenDialog

##### Inherited Members

Dialog.AddButton(Button)
Dialog.LayoutSubviews()
Dialog.ProcessKey(KeyEvent)
FileDialog.AllowedFileTypes
FileDialog.AllowsOtherFileTypes
FileDialog.CanCreateDirectories
FileDialog.DirectoryPath
FileDialog.FilePath
FileDialog.IsExtensionHidden
FileDialog.Message
FileDialog.NameFieldLabel
FileDialog.Prompt
FileDialog.WillPresent()
Toplevel.CanFocus
Toplevel.Create()
Toplevel.Running
View.Add(View[])
View.AddRune(Int32, Int32, Rune)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.Clear(Rect)
View.ClearNeedsDisplay()
View.ClipToBounds()
View.ColorScheme
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.DrawHotString(ustring, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.HasFocus
View.Height
View.Id
View.LayoutStyle
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ScreenToView(Int32, Int32)
View.SetClip(Rect)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
View.Width
View.X
View.Y
Window.Add(View)
Window.GetEnumerator()
Window.MouseEvent(MouseEvent)
Window.Redraw(Rect)
Window.Remove(View)
Window.RemoveAll()
Window.Title

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class OpenDialog : Terminal.Gui.FileDialog

##### Remarks

The open dialog can be used to select files for opening, it can be configured to allow multiple items to be selected (based on the AllowsMultipleSelection) variable and you can control whether this should allow files or directories to be selected.

To use it, create an instance of the OpenDialog, configure its properties, and then call Application.Run on the resulting instance. This will run the dialog modally, and when this returns, the list of filds will be available on the FilePaths property.

To select more than one file, users can use the spacebar, or control-t.

### Constructors

#### OpenDialog(ustring, ustring)

##### Declaration

    public OpenDialog (NStack.ustring title, NStack.ustring message);

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | To be added.
NStack.ustring | message | To be added.

### Properties

#### AllowsMultipleSelection

Gets or sets a value indicating whether this OpenDialog allows multiple selection.

##### Declaration

    public bool AllowsMultipleSelection { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if allows multiple selection; otherwise, `false`, defaults to false.

#### CanChooseDirectories

Gets or sets a value indicating whether this OpenDialog can choose directories.

##### Declaration

    public bool CanChooseDirectories { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if can choose directories; otherwise, `false` defaults to `false`.

#### CanChooseFiles

Gets or sets a value indicating whether this OpenDialog can choose files.

##### Declaration

    public bool CanChooseFiles { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if can choose files; otherwise, `false`. Defaults to `true`

#### FilePaths

Returns the selected files, or an empty list if nothing has been selected

##### Declaration

    public System.Collections.Generic.IReadOnlyList<string> FilePaths { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyList<System.String> | The file paths.